Bug 6343 - Log is not Unicode-aware ?
: Log is not Unicode-aware ?
Status: CLOSED WORKSFORME
: Sisyphus
(All bugs in Sisyphus/gftp)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
: 7861
:
  Show dependency tree
 
Reported: 2005-03-29 01:38 by
Modified: 2008-01-09 00:33 (History)


Attachments
demo (138.03 KB, image/png)
2005-03-29 01:39, burov dmitry
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-29 01:38:50
См. что оно в логе пишет :-)
------- Comment #1 From 2005-03-29 01:39:35 -------
Created an attachment (id=783) [details]
demo
------- Comment #2 From 2005-09-04 19:16:37 -------
Вдобавок кодировка локальных файлов сбивается при выставлении кодировки 
удалённой стороны (установить CP1251 и походить по каталогам). 
------- Comment #3 From 2005-12-05 00:27:25 -------
Баг о кодировке есть в майнстриме: 
http://bugs.gnome.org/show_bug.cgi?id=308238 
------- Comment #4 From 2006-12-07 14:48:42 -------
Status: NEEDINFO
------- Comment #5 From 2006-12-07 16:30:33 -------
Эээ... тьфу, проморгал же ж:
This is fixed in CVS. I created a tarball at
http://www.gftp.org/gftp-test.tar.bz2 that has the latest code from CVS. Please
let me know either way if this works. It is fixed for the local, FTP, FTPS and
SSH protocols. It is not fixed in the HTTP, HTTPS and FSP protocols. I will fix
those whenever I get confirmation that the other protocols are working
properly.
http://bugzilla.gnome.org/show_bug.cgi?id=308238#c2
------- Comment #6 From 2006-12-16 02:10:16 -------
Пакет сам по себе на свежем сизифе собирается.
Но я не могу проверить по шагам. У меня нет ftp с 1251.
Что можно сделать?
------- Comment #7 From 2007-06-09 14:11:22 -------
Соберите, закиньте и скажите WORKSFORME?
------- Comment #8 From 2007-06-11 23:02:50 -------
(In reply to comment #7)
> Соберите, закиньте и скажите WORKSFORME?

Вот именно сказать "WORKSFORME" я не могу.
Т.к. не могу проверить.

P.S. Да и на текущем сизифе надо опять проверить.
------- Comment #9 From 2007-06-12 00:37:39 -------
thanks, and isn't there a password changer/reminder in bugzilla?

---

Date: Mon, 11 Jun 2007 23:53:24 +0400
From: Arioch
To: pv@
Subject: https://bugzilla.altlinux.org/show_bug.cgi?id=6343
Cc: mike@

ftp://ftp.referent.ru/Citrix/
I don't have a password to bugzilla right off ,but there is DOC-file with
cyrillics in its name.
Shown ok with Total Commander in Win32, hence i think it is in cp-1251

Please, append it as a test case :-)
------- Comment #10 From 2008-01-09 00:33:56 -------
При установке cp1251 на удалённой стороне.
имя doc-файла (Инструкция настройки.doc).
Нормально отображается.
В логах только идёт "кривой" utf, но это 
другая проблемма.
Кодировка на локальной стороне (в моём случае koi8-r),
норамльно отображается.

Пакет: gftp-2.0.18stable-alt4